rm(list=ls())
orders <- as.numeric(Sys.time())
source("SMCcode_E.R")

load("obsDataC.R")

source("popSimCodeC_E.R")
dyn.load("simCohortVec.so")
source("distanceCode.R")
set.seed(orders)
	
proc.time()
results <- SMCalg13(orders, dataset, list(sumChiSqCounts,SSad,ccfImm,EMD), c(0.9,0.8,0.7,0.6,0.6,0.6,0.5,0.4,0.4,0.4), M=10000, Tsteps=10)
proc.time()

name <- "SMC_C_10.R"
save(results,file=name)

q("no")
